Skip to Main Content
IBM Data and AI Ideas Portal for Customers


Shape the future of IBM!

We invite you to shape the future of IBM, including product roadmaps, by submitting ideas that matter to you the most. Here's how it works:

Post your ideas

Post ideas and requests to enhance a product or service. Take a look at ideas others have posted and upvote them if they matter to you,

  1. Post an idea

  2. Upvote ideas that matter most to you

  3. Get feedback from the IBM team to refine your idea

Help IBM prioritize your ideas and requests

The IBM team may need your help to refine the ideas so they may ask for more information or feedback. The product management team will then decide if they can begin working on your idea. If they can start during the next development cycle, they will put the idea on the priority list. Each team at IBM works on a different schedule, where some ideas can be implemented right away, others may be placed on a different schedule.

Receive notification on the decision

Some ideas can be implemented at IBM, while others may not fit within the development plans for the product. In either case, the team will let you know as soon as possible. In some cases, we may be able to find alternatives for ideas which cannot be implemented in a reasonable time.

Additional Information

To view our roadmaps: http://ibm.biz/Data-and-AI-Roadmaps

Reminder: This is not the place to submit defects or support needs, please use normal support channel for these cases

IBM Employees:

The correct URL for entering your ideas is: https://hybridcloudunit-internal.ideas.aha.io


Status Functionality already exists
Created by Guest
Created on May 13, 2020

Removing the dependency on OS local user credentials for installing the IBM Datastage product

Hi Team

Problem Statement:

We are not able to install “IBM InfoSphere Datastage v11.5” on new VSI

Issue Description:

We are trying to install “IBM InfoSphere Datastage v11.5” product on new Linux host & as pre-requisite we are supposed to have product related ID’s created on OS before install which should have “static” password & may require “no-expiry”( fixed password) for future use (this is post installation part).

Detailed Description:

We are working on Data center migration project and on new Linux host due to new security policy we are not allowed to create any local users on Linux machine. So we will not be having any local OS user id/static password.

We are trying to install the IBM Datastage on new linux machines and we are not able to install due to Security issues related to local id/password as we are not allowed to have them.

So to install IBM datastage product we would need few of product related id's created locally prior to the installation , so this case is not possible for us.

IBM Pre-requisite requirement for OS id/password;

https://www.ibm.com/support/knowledgecenter/SSZJPZ_11.5.0/com.ibm.swg.im.iis.productization.iisinfsv.install.doc/topics/wsisinst_pln_user_reg.html

Thanks

Needed by Date May 31, 2020
  • Admin
    Scott Brokaw
    May 20, 2020

    11.7 has the same requirements re: local accounts during installation. The removal of this requirement is specific to containerization in Cloud Pak for Data.

    Note: you should be able to configure post-install the accounts to be non-local in 11.5/11.7.

    Credential mapping is a different requirement, but this can be avoided in 11.x by sharing the registry enabling DataStage Engine to use PAM instead.

    Please open a ticket with support if you need additional details.

  • Guest
    May 20, 2020

    Cloud PAK is not JPMC approved, So if we install 11.7 version we will overcome having dependency on local accounts/static password during installation & post installation? correct?

    I hope this will resolve having id/static password which will require while credential mapping also(Suite user to OS users) as our new Security policy does not allow us to keep any password.

  • Admin
    Scott Brokaw
    May 20, 2020

    The requirement to have Local OS accounts for installation is removed via our containerized deployment option for DataStage. You can deploy this by leveraging Cloud Pak for Data DataStage.

    FYI, I would suggest trying to install 11.7 or Cloud Pak for Data 2.5 or 3.0 coming out next month instead of version 11.5 as 11.5 will be going out of support on Apr. 30th, 2021.

  • Guest
    May 20, 2020

    Hi Team,

    Is it possible to get exact "Expected time of completion" for this request?

  • Guest
    May 19, 2020

    Any update on this?

    Thx